/**
 * Dev server messages (organized here to prevent clutter)
 */
/// <reference types="node" />
import type { AddressInfo } from 'net';
import type { AstroConfig } from '../@types/astro';
/** Display  */
export declare function req({ url, statusCode, reqTime }: {
    url: string;
    statusCode: number;
    reqTime?: number;
}): string;
export declare function reload({ file }: {
    file: string;
}): string;
export declare function hmr({ file }: {
    file: string;
}): string;
/** Display dev server host and startup time */
export declare function devStart({ startupTime, devServerAddressInfo, config, https, site, }: {
    startupTime: number;
    devServerAddressInfo: AddressInfo;
    config: AstroConfig;
    https: boolean;
    site: URL | undefined;
}): string;
export declare function prerelease({ currentVersion }: {
    currentVersion: string;
}): string;
export declare function success(message: string, tip?: string): string;
export declare function failure(message: string, tip?: string): string;
export declare function cancelled(message: string, tip?: string): string;
/** Display port in use */
export declare function portInUse({ port }: {
    port: number;
}): string;
/** Pretty-print errors */
export declare function err(error: Error): string;
export declare function printHelp({ commandName, headline, usage, commands, flags, }: {
    commandName: string;
    headline?: string;
    usage?: string;
    commands?: [command: string, help: string][];
    flags?: [flag: string, help: string][];
}): void;
