/// <reference types="node" />
import type { AddressInfo } from 'net';
import type { ViteDevServer } from 'vite';
import { AstroConfig, BuildConfig, RouteData } from '../@types/astro.js';
export declare function runHookConfigSetup({ config: _config, command }: {
    config: AstroConfig;
    command: 'dev' | 'build';
}): Promise<AstroConfig>;
export declare function runHookConfigDone({ config }: {
    config: AstroConfig;
}): Promise<void>;
export declare function runHookServerSetup({ config, server }: {
    config: AstroConfig;
    server: ViteDevServer;
}): Promise<void>;
export declare function runHookServerStart({ config, address }: {
    config: AstroConfig;
    address: AddressInfo;
}): Promise<void>;
export declare function runHookServerDone({ config }: {
    config: AstroConfig;
}): Promise<void>;
export declare function runHookBuildStart({ config, buildConfig }: {
    config: AstroConfig;
    buildConfig: BuildConfig;
}): Promise<void>;
export declare function runHookBuildDone({ config, pages, routes }: {
    config: AstroConfig;
    pages: string[];
    routes: RouteData[];
}): Promise<void>;
